/**************
* Akoya Catch
* Copyright 2018, Akoya Ltd.
* Author: Alyse Webb;

Key color: #DD151D;
***************
Fonts
***************/
@font-face {
  font-family: Cabin;
  src: url("../fonts/cabin/Cabin-Regular.ttf") format("truetype");
  font-style: normal; }

@font-face {
  font-family: Cabin-Bold;
  src: url("../fonts/cabin/Cabin-Bold.ttf") format("truetype");
  font-style: normal; }

/***************************
Headings, body font
**************************/

body {
  font-family: Cabin;
  font-size: 18px;
}

h1 {
  font-size: 3.5em;
  text-align: center;
  color: white;
  margin-top: 1em;
}

h2 {
  font-size: 2em;
}

h2.red {
  color: #DD151D;
}

h3 {
  font-size: 1.25em;
  color: white;
  margin: 8em 0 2em 0;
  text-align: center;
}

h4 {
  font-size: 1em;
  text-transform: uppercase;
  font-family: Cabin-Bold;
}

h4:after {
  content:""; 
  background: #DD151D; 
  display: block;
  margin: 0.5em 0;
  width: 50%;
  padding-top: 0.1em;
  border-bottom: 1px solid red; 
  
}

h4.no-line:after {
  content: none;
}

@media (min-width: 550px) {
  h1 {
    font-size: 5em;
    margin-top: 1.5em;
    text-align: left;
  }

  h2 {
    font-size: 3em;
  }

  h3 {
    font-size: 1.5em;
    text-align: left;
    margin: 1em 0 2em 0;
  }

  h4 {
    font-size: 1em;
  }
}


@media (min-width: 850px) {

  h1 {
    font-size: 5.5em;
    margin-top: 1.5em;
  }

  h2 {
    font-size: 3em;
  }

  h3 {
    font-size: 2em;
  }

  h4 {
    font-size: 1em;
  }

}

/***************************
Grid Adjustments
**************************/

.container {
  padding: 2em 0 2em 0;
}

.columns.black:nth-child(4), .columns.black:nth-child(5) {
  margin-top: 2em;
}

.columns.black:nth-child(3) {
  margin-top: 2em;
}

@media (min-width: 650px) {
  .columns.black:nth-child(3) {
    margin-top: 0;
  }
}

.row {
  margin: 1em 0 1em 0;
}

.main-blurb {
  height: 550px;
  padding: 2em 0 20em 0;
}

@media (min-width: 950px) {
  .main-blurb {
    height: 100px;
    padding: 20em 0 20em 0;
  }
}

.stadium h2 {
  text-align: center;
  padding: 1em 0 1em 0;
}
/**************************
Backgrounds
/**************************/

.black {
	background-color: black;
}

.black p, .black label, .black h2, .black h4 {
	color: white;
}

.football {
  background-image: url("../img/football_player.png");
  background-size: contain;
  background-position: left;
  background-repeat: no-repeat;
}

@media (min-width: 650px) {
  .football {
    background-position: right;
  }
}

.baseball {
  background-image: url("../img/baseball_player.png");
  background-size: contain;
  background-position: bottom;
  background-repeat: no-repeat;
}

.playbook {
  background-image: url("../img/playbook.png");
  background-size: contain;
  background-position: bottom;
  background-repeat: no-repeat;
}

@media (min-width: 650px) {
  .playbook {
    background-size: cover;
  }
}

.stadium {
  background-image: url("../img/stadium.png");
  background-size: cover;
  background-position: bottom;
  background-repeat: no-repeat;
}

.columns.black {
  padding: 1em;
}

#phone {
  display: none;
}

.override {
  position: relative;
}

@media (min-width: 600px) {
  #phone {
    display: block;
  }
}
@media (min-width: 950px) {
  .override {
  position: absolute;
  }
}


/**************************
Buttons
/**************************/
button {
  padding: 1.5em 2em 1.5em 2em;
  font-size: 1em;
  line-height: 1em;
  border: none;
  text-transform: uppercase;
  position: relative;
  z-index: 1;
  margin-left: 1em;
  transition: 0.2s ease-in-out;
}

button:focus {
  outline:0;
}

button.red {
    background: #DD151D;
    color: white;
}

button:before {
  left: -1.5em;
  position: absolute;
  top: 0;
  width: 0; 
  height: 0; 
  border-right: 0px solid transparent;
  border-left: 1.5em solid transparent;
  content: '';
  transition: 0.2s ease-in-out;
}

button:after {
  right: -1.5em;
  position: absolute;
  top: 0;
  width: 0; 
  height: 0; 
  border-left: 0px solid transparent;
  border-right: 1.5em solid transparent;
  content: '';
  transition: 0.2s ease-in-out;
}

button.red:before {
    border-bottom: 4em solid #DD151D;
}

button.red:after {
    border-top: 4em solid #DD151D;
}

button.red:hover:after {
    border-top: 4em solid #FF242D;
}

button.red:hover:before {
    border-bottom: 4em solid #FF242D;
}

button.red:hover  {
  background: #FF242D;
}

button#submit {
  color: #DD151D;
  background: #fff;
  float: right;
  margin-right: 2em;
}

button#submit:before {
    border-bottom: 4em solid #FFF;
}

button#submit:after {
    border-top: 4em solid #FFF;
}

button#submit:hover {
  background: #DD151D;
  color: white;
}

button#submit:hover:before {
    border-bottom: 4em solid #DD151D;
}

button#submit:hover:after {
    border-top: 4em solid #DD151D;
}

button#loginSubmit {
  float: right;
  margin-right: 2em;
}

.center {
  display: flex;
  width: 100%;
  justify-content: center;
}

@media (min-width: 550px) {
  .center {
    display: inline;
  }
}




/***************************
Nav (adapted from: https://codepen.io/mutedblues/pen/MmPNPG)
**************************/

nav .logo {
  position: absolute;
  z-index: 100;
}

form .logo img {
  width: 20%;
}

.logo img {
  width: 40%;
}

@media (min-width: 600px) {
  form .logo img {
  width: 80%;
}

  .logo img {
    width: 80%;
  }
}

@media (min-width: 850px) {
  .logo img {
    width: 100%;
  }
}

.nav {
    position: absolute;
  }

.nav .container {
	padding-top: 1em;
	padding-bottom: 1em;
}

.nav {
  background: black;
  width: 100%;
  z-index: 100;
  top: 0;
  transition: top 0.2s ease-in-out;
  -webkit-transition: top 0.2s ease-in-out;
}

.nav-up {
    top: -64px;
}

.nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
  overflow: hidden;
}

.nav li {
	margin: 1em 0;
}

.nav li a {
  display: block;
  text-align: right;
  text-decoration: none;
  padding: 15px 0 15px 0;
  font-family: Cabin;
  font-size: 20px;
  text-transform: uppercase;
  color: white;
  transition: 0.3s ease;
}

.nav li a:hover,
.nav .menu-btn:hover {
  color: #DD151D;
}

/* menu */

.nav .menu {
  clear: both;
  max-height: 0;
  transition: max-height .2s ease-out;
}

/* menu icon */

.nav .menu-icon {
  cursor: pointer;
  float: right;
  padding: auto;
  position: relative;
  user-select: none;
  top: auto;
  display: inline-block;
  padding: 15px 0 15px 0;
}

.nav .menu-icon .navicon {
  background: white;
  display: block;
  height: 2px;
  position: relative;
  transition: background .2s ease-out;
  width: 18px;
}

.nav .menu-icon .navicon:before,
.nav .menu-icon .navicon:after {
  background: white;
  content: '';
  display: block;
  height: 100%;
  position: absolute;
  transition: all .2s ease-out;
  width: 100%;
}

.nav .menu-icon .navicon:before {
  top: 5px;
}

.nav .menu-icon .navicon:after {
  top: -5px;
}

/* menu btn */

.nav .menu-btn {
  display: none;
}

.nav .menu-btn:checked ~ .menu {
  max-height: 300px;
}

.nav .menu-btn:checked ~ .menu-icon .navicon {
  background: transparent;
}

.nav .menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
}

.nav .menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
}

.nav .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
.nav .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  top: 0;
}

@media (min-width: 950px) {

  .nav {
    position: relative;
  }

	.nav ul {
		display: flex;
	}
	.nav li {
		float: right;
		justify-content: flex-end;
		margin-left: 40px;
	}
	.nav li a {
		padding: 0;
	}
	.nav .menu {
		clear: none;
		float: right;
		max-height: none;
	}
	.nav .menu-icon {
		display: none;
	}
}

.nav.light li a {
	color: rgb(23, 23, 23);
}

.nav.light .menu-icon .navicon,
.nav.light .menu-icon .navicon:before,
.nav.light .menu-icon .navicon:after {
	background: rgb(23, 23, 23);
}

.nav.light li a:hover,
.nav.light .menu-btn:hover {
  color: #99C93C; /*zemind green*/
}

.nav.light {
	background: rgba(255, 255, 255, 0.95);
}

.nav.light svg .st1 {
	fill: rgb(23, 23, 23);
}


/***************************
Forms
**************************/
fieldset {
  border: none;
}

fieldset div {
  margin-top: 2em;
}

form.container {
  padding-bottom: 5em;
}

form div {
  position: relative;
  color: #D9D9D9;
}

form .row {
  margin-bottom: 2em;
}

.antispam {
  display: none;
}

#message {
  display: none;
  padding-top: 2em;
}

input {
  width: 100%;
  background: none;
  border: none;
  line-height: 38px;
  border-bottom: 1px solid white;
}

input:first-child {
  margin-bottom: 40px;
}

@media (min-width: 650px) {
  input:first-child {
    margin-bottom: 0;
  }
}

textarea {
  width: 100%;
  background: none;
  border: none;
  border-bottom: 1px solid white;
    resize: none;
    height: 34px;
    transition: 0.3s ease;
}

input:focus, textarea:focus, button[type=submit] {
  outline: none
}

label {
  position: absolute;
  left: 0;
  top: 0;
  cursor:text;
  transition: 0.2s ease;
  -webkit-touch-callout: none; /* iOS Safari */
    -webkit-user-select: none; /* Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* Internet Explorer/Edge */
    user-select: none;
}

input:focus + label,  textarea:focus + label, input:valid + label, textarea:valid + label { 
  font-size: 0.8em;
  top: -1em;
  transition: 0.2s ease;
}

textarea:focus, textarea:valid {
  height: 96px;
}

.loader {
  width: 50px;
}



/***************************
Login Modal (adapted from: https://ctrlq.org/code/20083-modal-popup-css)
**************************/

#no-user-message {
  display: none;
}

.modal-window {
  position: fixed;
  background-color: rgba(0, 0, 0, 0.75);
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 999;
  opacity: 0;
  pointer-events: none;
  -webkit-transition: all 0.3s;
  -moz-transition: all 0.3s;
  transition: all 0.3s;
}

.modal-window img {
  width: 20%;
}

.modal-window:target {
  opacity: 1;
  pointer-events: auto;
}

.modal-window>div {
  width: 85%;
  position: relative;
  margin: 10% auto;
  padding: 2rem;
  background: #fff;
  color: #444;
}

@media (min-width: 500px) {
  .modal-window>div {
    width: 400px;
  }
}

.modal-window header {
  font-weight: bold;
}

.modal-close {
  color: #aaa;
  line-height: 50px;
  font-size: 3em;
  position: absolute;
  right: 0;
  text-align: center;
  top: 0;
  padding: 1rem 2rem 0 0;
  z-index: 100;
  text-decoration: none;
}

.modal-close:hover {
  color: #000;
}

.modal-window form div {
  color: black;
}

.modal-window input {
  border-bottom: 1px solid black; }


